commit:     835ffbd54ca1bad9088c9f1960b7a5339937c5d6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  6 20:05:49 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct  6 20:05:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=835ffbd5

dev-embedded/powersoftplus-libftdi: port to EAPI 7

Closes: https://bugs.gentoo.org/339701
Closes: https://bugs.gentoo.org/742203
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../powersoftplus-libftdi-0.1.8-LDFLAGS.patch      | 23 ++++++++++++++++++++++
 .../powersoftplus-libftdi-0.1.8-r1.ebuild          | 23 +++++++++++++---------
 2 files changed, 37 insertions(+), 9 deletions(-)

diff --git 
a/dev-embedded/powersoftplus-libftdi/files/powersoftplus-libftdi-0.1.8-LDFLAGS.patch
 
b/dev-embedded/powersoftplus-libftdi/files/powersoftplus-libftdi-0.1.8-LDFLAGS.patch
new file mode 100644
index 00000000000..642209ea0ea
--- /dev/null
+++ 
b/dev-embedded/powersoftplus-libftdi/files/powersoftplus-libftdi-0.1.8-LDFLAGS.patch
@@ -0,0 +1,23 @@
+diff --git a/libftdi/lib_table/Makefile b/libftdi/lib_table/Makefile
+index cf4316b..dd393b8 100644
+--- a/libftdi/lib_table/Makefile
++++ b/libftdi/lib_table/Makefile
+@@ -1,15 +1,15 @@
+ # which compiler
+-CC = gcc
++CC ?= gcc
+ 
+ VERSION = _RELEASE
+ 
+ LIBNAME = libd2xx_table.so
+ 
+-CFLAGS =  -DLINUX -D$(VERSION)
++CFLAGS +=  -DLINUX -D$(VERSION)
+ 
+ $(LIBNAME):   ftdi_table.o 
+ 
+-      $(CC)   -Wall -shared -fPIC -o  $(LIBNAME) ftdi_table.o
++      $(CC)   -Wall -shared -fPIC ${LDFLAGS} -o  $(LIBNAME) ftdi_table.o
+ 
+ ftdi_table.o: ftdi_table.c
+               $(CC) -I. $(CFLAGS) -c -fPIC ftdi_table.c

diff --git 
a/dev-embedded/powersoftplus-libftdi/powersoftplus-libftdi-0.1.8-r1.ebuild 
b/dev-embedded/powersoftplus-libftdi/powersoftplus-libftdi-0.1.8-r1.ebuild
index 13da6435290..6a6b23ad072 100644
--- a/dev-embedded/powersoftplus-libftdi/powersoftplus-libftdi-0.1.8-r1.ebuild
+++ b/dev-embedded/powersoftplus-libftdi/powersoftplus-libftdi-0.1.8-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-inherit multilib toolchain-funcs
+EAPI=7
+
+inherit autotools toolchain-funcs
 
 MY_PN="${PN/-libftdi/}"
 MY_P="${MY_PN}-${PV}"
@@ -13,23 +14,27 @@ TABFILEDIR="libftdi/lib_table"
 DESCRIPTION="Library which includes a table of VIDs and PIDs of Ever UPS 
devices"
 HOMEPAGE="http://www.ever.com.pl";
 SRC_URI="http://www.ever.com.pl/pl/pliki/${MY_P}-x86.tar.gz";
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~x86"
-IUSE=""
 
-DEPEND=""
-RDEPEND="${DEPEND}"
+PATCHES=(
+       "${FILESDIR}/${PN}-0.1.8-LDFLAGS.patch"
+)
 
-S="${WORKDIR}/${MY_P}"
+src_prepare() {
+       default
+       eautoreconf
+}
 
 src_compile() {
-       cd "${TABFILEDIR}"
+       cd "${TABFILEDIR}" || die
 
        # Wipe out precompiled binary
        emake clean
-       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
 }
 
 src_install() {

Reply via email to